jpeg2swf(1)

NAME
jpeg2swf - Converts jpeg images to SWF.

Synopsis
jpeg2swf [-options [value]] imagefiles[.jpg]|[.jpeg] [...]

DESCRIPTION
This tool converts jpeg image files into an SWF animation. It takes any number of input pictures, and converts them to SWF one-by-one, where every converted picture is a seperate frame in the target SWF.

OPTIONS

-o, --output outputfile
        Explicitly specify output file. (Otherwise, output will go to stdout / output.swf)

-q, --quality quality
        Set compression quality (1-100, 1=worst, 100=best).
        This option can be set independently for each image.

-r, --rate framerate
        Set movie framerate (frames per second)

-z, --zlib zlib
        Use Flash MX (SWF 6) Zlib encoding for the output. The resulting SWF will be
        smaller, but not playable in Flash Plugins of Version 5 and below.

-M, --mx
        Use Flash MX H.263 compression (use for correlated images)

-x, --xoffset offset
        horizontally offset images by offset

-y, --yoffset offset
        vertically offset images by offset

-X, --width width
        Force movie width to width (default: autodetect)

-Y, --height height
        Force movie height to height (default: autodetect)

-T, --flashversion version
        Set flash file version to version

-v, --verbose level
        Set verbose level to level (0=quiet, 1=default, 2=debug)

-V, --version
        Print version information and exit

-f, --fit-to-movie
        Fit images to movie size

-e, --export assetname
        Make importable as asset with assetname

AUTHORS
Rainer Böhme <rfxswf@reflex-studio.de>

Matthias Kramm